<?php

namespace Bazookas\AdminBundle\AdminElements\Containers;

use Bazookas\AdminBundle\AdminElements\Base\BaseAdminElement;

class TabbedContainer extends BaseAdminElement {

  //Tab orientation constants
  const ORIENTATION_HORIZONTAL = 'horizontal';
  const ORIENTATION_VERTICAL = 'vertical';

  //Tab location constants
  const LOCATION_LEFT = 'left';
  const LOCATION_RIGHT = 'right';

  protected function getDefaultOptions() {
    $defaults = parent::getDefaultOptions();
    return array_merge($defaults, [
      'template' => 'BazookasAdminBundle:AdminElements/Containers:tabbedContainer.html.twig',
      'class' => 'panel',
      'headerLabel' => '',
      'tabOrientation' => self::ORIENTATION_HORIZONTAL,
      'tabLocation' => self::LOCATION_RIGHT
    ]);
  }

  public function getTabOrientation() {
    return $this->options['tabOrientation'];
  }

  public function getTabLocation() {
    return $this->options['tabLocation'];
  }
}
