<?php

namespace Bazookas\AdminBundle\Entity\Base;

use Bazookas\CommonBundle\Entity\Base\BaseEntity;
use Bazookas\AdminBundle\Entity\Interfaces\AuditLogInterface;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Security\Core\User\UserInterface;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * @ORM\MappedSuperclass
 */
class BaseAuditLog extends BaseEntity implements AuditLogInterface {

  /**
   * @ORM\Column(type="string")
   */
  private $action;

  /**
   * @ORM\Column(type="string")
   */
  private $entityName;

  /**
   * @ORM\Column(type="integer", nullable=true)
   */
  private $entityId;

  /**
   * @ORM\Column(type="array")
   */
  private $data;

  /**
   * @ORM\Column(type="datetime")
   */
  private $date;

  /**
   * @ORM\ManyToOne(targetEntity="Bazookas\AdminBundle\Entity\CMSUser")
   */
  private $user;

  public function getAction()
  {
    return $this->action;
  }

  public function setAction($action)
  {
    $this->action = $action;

    return $this;
  }

  public function getEntityName()
  {
    return $this->entityName;
  }

  public function setEntityName($entityName)
  {
    $this->entityName = $entityName;

    return $this;
  }

  public function getEntityId()
  {
    return $this->entityId;
  }

  public function setEntityId($entityId)
  {
    $this->entityId = $entityId;

    return $this;
  }

  public function getData()
  {
    return $this->data;
  }

  public function setData($data)
  {
    $this->data = $data;

    return $this;
  }

  public function getDate()
  {
    return $this->date;
  }

  public function setDate(\DateTime $date)
  {
    $this->date = $date;

    return $this;
  }

  public function getUser()
  {
    return $this->user;
  }

  public function setUser(UserInterface $user)
  {
    $this->user = $user;

    return $this;
  }

}
