<?php

namespace Bazookas\APIFrameworkBundle\Exception;

use Exception;
use Bazookas\APIFrameworkBundle\Exception\Base\BaseApiException;
use Bazookas\APIFrameworkBundle\Exception\Base\ApiExceptionMap;
use Bazookas\CommonBundle\Services\Exception\Interfaces\LoggableExceptionInterface;
use Symfony\Component\HttpFoundation\Response;

class UnauthorizedException extends BaseApiException {

  public function __construct($message, $name = ApiExceptionMap::UNAUTHORIZED, $statusCode = Response::HTTP_UNAUTHORIZED, Exception $previous = null) {
    parent::__construct($message, $name, $statusCode, $previous);
  }

  /**
   * @inheritdoc
   */
  public function getLoggingSeverity() {
    return LoggableExceptionInterface::PRIORITY_ERROR;
  }

}
