<?php

namespace Bazookas\APIFrameworkBundle\Services\Data;

use Bazookas\APIFrameworkBundle\Services\Data\Interfaces\DataServiceInterface;
use Doctrine\Common\Collections\ArrayCollection;

class DataServiceChain {

  private $dataServices;

  public function __construct() {
    $this->dataServices = new ArrayCollection();
  }

  public function getDataServices() {
    return $this->dataServices;
  }

  public function setDataServices($dataServices) {
    if (is_array($dataServices)) {
      $dataServices = new ArrayCollection($dataServices);
    }

    $this->dataServices = $dataServices;
  }

  public function addDataService(DataServiceInterface $dataService) {
    if (!$this->dataServices->contains($dataService)) {
      $this->dataServices->add($dataService);
    }
  }

  public function removeDataService(DataServiceInterface $dataService) {
    $this->dataServices->removeElement($dataService);
  }

}
