<?php

namespace Bazookas\MediaBundle\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

/**
 * This is the class that validates and merges configuration from your app/config files.
 *
 * To learn more see {@link http://symfony.com/doc/current/cookbook/bundles/configuration.html}
 */
class Configuration implements ConfigurationInterface
{
    /**
     * {@inheritdoc}
     */
    public function getConfigTreeBuilder()
    {
        $treeBuilder = new TreeBuilder();
        $rootNode = $treeBuilder->root('bazookas_media');

        $rootNode
          ->children()
            ->arrayNode('settings')
              ->defaultValue([
                'root_directory' => '%kernel.root_dir%/../web',
                'uploads_root_directory' => '%kernel.root_dir%/../web/uploads',
                'baseUrl' => null,
              ])
              ->prototype('scalar')->end()
              ->children()
                ->scalarNode('root_directory')
                  ->defaultValue('%kernel.root_dir%/../web')
                ->end()
                ->scalarNode('uploads_root_directory')
                  ->defaultValue('%kernel.root_dir%/../web/uploads')
                ->end()
                ->scalarNode('baseUrl')
                  ->defaultNull()
                ->end()
              ->end()
            ->end()

            ->arrayNode('video_providers')
              ->children()
                ->arrayNode('vimeo')
                  ->children()
                    ->scalarNode('type')->isRequired()->end()
                    ->scalarNode('clientId')->isRequired()->end()
                    ->scalarNode('clientSecret')->isRequired()->end()
                  ->end()
                ->end()

                //TODO implement this
                // ->arrayNode('youtube')
                //
                // ->end()
              ->end()
            ->end()

            ->variableNode('default_folders')
            ->end()

          ->end()
        ;

        return $treeBuilder;
    }
}
